Page MenuHomePhabricator

Add more benchmarks for literal strings.
ClosedPublic

Authored by sbenza on Mar 25 2019, 10:30 AM.

Details

Summary

Comparing against the empty string should generate much better code that
what it does today.
We can also generate better code when comparing against literals that
are larger than the SSO space.

Diff Detail

Repository
rCXX libc++

Event Timeline

sbenza created this revision.Mar 25 2019, 10:30 AM
sbenza updated this revision to Diff 192142.Mar 25 2019, 10:33 AM

Fix benchmark for rhs being empty.

Harbormaster completed remote builds in B29582: Diff 192142.
sbenza updated this revision to Diff 192831.Mar 29 2019, 8:21 AM
  • Make it easier for the compiler to optimize operator==(string,char*).
sbenza updated this revision to Diff 192832.Mar 29 2019, 8:22 AM

Remove string file changes from this PR.
They were added by mistake.

EricWF accepted this revision.Apr 2 2019, 11:43 AM

LGTM.

In future, you don't need review before adding or improving tests.

This revision is now accepted and ready to land.Apr 2 2019, 11:43 AM
This revision was automatically updated to reflect the committed changes.